## org.eclipse.uml2.uml
Interface ActivityPartition

All Superinterfaces:
  ActivityGroup, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier

    public interface ActivityPartition

extends NamedElement, ActivityGroup

A representation of the model object 'Activity Partition'. An activity partition is a kind of activity group for identifying actions that have some characteristic in common.

The following features are supported:

- `Is Dimension`
- `Is External`
- `Node`
- `Subpartition`
- `Super Partition`
- `Represents`
- `Edge`

See Also:
  `UMLPackage.getActivityPartition()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`ActivityPartition` `createSubpartition(java.lang.String name)` Creates a new `ActivityPartition`, with the specified 'Name', and appends it to the 'Subpartition' containment reference list
`ActivityEdge` `getEdge(java.lang.String name)` Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Edge' reference list
`ActivityEdge` `getEdge(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Edge' reference list
`org.eclipse.emf.common.util.EList<ActivityEdge>` `getEdges()` Returns the value of the 'Edge' reference list.
`ActivityNode` `getNode(java.lang.String name)` Retrieves the first `ActivityNode` with the specified 'Name' from the 'Node' reference list
`ActivityNode` `getNode(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `ActivityNode` with the specified 'Name' from the 'Node' reference list
`org.eclipse.emf.common.util.EList<ActivityNode>` `getNodes()` Returns the value of the 'Node' reference list.
`Element` `getRepresents()` Returns the value of the 'Represents' reference
`ActivityPartition` `getSubpartition(java.lang.String name)` Retrieves the first `ActivityPartition` with the specified 'Name' from the 'Subpartition' containment reference list
`ActivityPartition` `getSubpartition(java.lang.String name, boolean ignoreCase, boolean createOnDemand)` Retrieves the first `ActivityPartition` with the specified 'Name' from the 'Subpartition' containment reference list
`org.eclipse.emf.common.util.EList<ActivityPartition>` `getSubpartitions()` Returns the value of the 'Subpartition' containment reference list.
`ActivityPartition` `getSuperPartition()` Returns the value of the 'Super Partition' container reference.
`boolean` `isDimension()` Returns the value of the 'Is Dimension' attribute.
`boolean` `isExternal()` Returns the value of the 'Is External' attribute.
`void` `setIsDimension(boolean value)` Sets the value of the '`Is Dimension`' attribute
`void` `setIsExternal(boolean value)` Sets the value of the '`Is External`' attribute
`void` `setRepresents(Element value)` Sets the value of the '`Represents`' reference
`void` `setSuperPartition(ActivityPartition value)` Sets the value of the '`Super Partition`' container reference
`boolean` `validateDimensionNotContained(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` A partition with isDimension = true may not be contained by another partition.

`boolean`

`validateRepresentsClassifier(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)`
If a non-external partition represents a classifier and is contained in another partition, then the containing partition must represent a classifier, and the classifier of the subpartition must be nested in the classifier represented by the containing partition, or be at the contained end of a strong composition association with the classifier represented by the containing partition.

`boolean` `validateRepresentsPart(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` If a partition represents a part, then all the non-external partitions in the same dimension and at the same level of nesting in that dimension must represent parts directly contained in the internal structure of the same classifier.
`boolean` `validateRepresentsPartAndIsContained(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` If a partition represents a part and is contained by another partition, then the part must be of a classifier represented by the containing partition, or of a classifier that is the type of a part representing the containing partition.

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.uml2.uml.ActivityGroup
`getContainedEdge, getContainedEdge, getContainedEdges, getContainedNode, getContainedNode, getContainedNodes, getInActivity, getSubgroups, getSuperGroup, setInActivity, validateGroupOwned, validateNodesAndEdges, validateNotContained`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isDimension

    boolean isDimension()

  Returns the value of the 'Is Dimension' attribute. The default value is `"false"`. Tells whether the partition groups other partitions along a dimension.

  Returns:
    the value of the 'Is Dimension' attribute.
  See Also:
    `setIsDimension(boolean)`, `UMLPackage.getActivityPartition_IsDimension()`

### setIsDimension

    void setIsDimension(boolean value)

  Sets the value of the '`Is Dimension`' attribute.

  Parameters:
    `value` - the new value of the 'Is Dimension' attribute.
  See Also:
    `isDimension()`

### isExternal

    boolean isExternal()

  Returns the value of the 'Is External' attribute. The default value is `"false"`. Tells whether the partition represents an entity to which the partitioning structure does not apply.

  Returns:
    the value of the 'Is External' attribute.
  See Also:
    `setIsExternal(boolean)`, `UMLPackage.getActivityPartition_IsExternal()`

### setIsExternal

    void setIsExternal(boolean value)

  Sets the value of the '`Is External`' attribute.

  Parameters:
    `value` - the new value of the 'Is External' attribute.
  See Also:
    `isExternal()`

### getEdges

    org.eclipse.emf.common.util.EList<ActivityEdge> getEdges()

  Returns the value of the 'Edge' reference list. The list contents are of type `ActivityEdge`. It is bidirectional and its opposite is '`In Partition`'.

  This feature subsets the following features:

  - '`Contained Edge`'
  Edges immediately contained in the group.

  Returns:
    the value of the 'Edge' reference list.
  See Also:
    `UMLPackage.getActivityPartition_Edge()`, `ActivityEdge.getInPartitions()`

### getEdge

    ActivityEdge getEdge(java.lang.String name)

  Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Edge' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityEdge` to retrieve, or `null`.
  Returns:
    The first `ActivityEdge` with the specified 'Name', or `null`.
  See Also:
    `getEdges()`

### getEdge

    ActivityEdge getEdge(java.lang.String name,
                         boolean ignoreCase,
                         org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Edge' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityEdge` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ActivityEdge` to retrieve, or `null`.
  Returns:
    The first `ActivityEdge` with the specified 'Name', or `null`.
  See Also:
    `getEdges()`

### getNodes

    org.eclipse.emf.common.util.EList<ActivityNode> getNodes()

  Returns the value of the 'Node' reference list. The list contents are of type `ActivityNode`. It is bidirectional and its opposite is '`In Partition`'.

  This feature subsets the following features:

  - '`Contained Node`'
  Nodes immediately contained in the group.

  Returns:
    the value of the 'Node' reference list.
  See Also:
    `UMLPackage.getActivityPartition_Node()`, `ActivityNode.getInPartitions()`

### getNode

    ActivityNode getNode(java.lang.String name)

  Retrieves the first `ActivityNode` with the specified 'Name' from the 'Node' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityNode` to retrieve, or `null`.
  Returns:
    The first `ActivityNode` with the specified 'Name', or `null`.
  See Also:
    `getNodes()`

### getNode

    ActivityNode getNode(java.lang.String name,
                         boolean ignoreCase,
                         org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `ActivityNode` with the specified 'Name' from the 'Node' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityNode` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ActivityNode` to retrieve, or `null`.
  Returns:
    The first `ActivityNode` with the specified 'Name', or `null`.
  See Also:
    `getNodes()`

### getSubpartitions

    org.eclipse.emf.common.util.EList<ActivityPartition> getSubpartitions()

  Returns the value of the 'Subpartition' containment reference list. The list contents are of type `ActivityPartition`. It is bidirectional and its opposite is '`Super Partition`'.

  This feature subsets the following features:

  - '`Subgroup`'
  Partitions immediately contained in the partition.

  Returns:
    the value of the 'Subpartition' containment reference list.
  See Also:
    `UMLPackage.getActivityPartition_Subpartition()`, `getSuperPartition()`

### createSubpartition

    ActivityPartition createSubpartition(java.lang.String name)

  Creates a new `ActivityPartition`, with the specified 'Name', and appends it to the 'Subpartition' containment reference list.

  Parameters:
    `name` - The 'Name' for the new `ActivityPartition`, or `null`.
  Returns:
    The new `ActivityPartition`.
  See Also:
    `getSubpartitions()`

### getSubpartition

    ActivityPartition getSubpartition(java.lang.String name)

  Retrieves the first `ActivityPartition` with the specified 'Name' from the 'Subpartition' containment reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityPartition` to retrieve, or `null`.
  Returns:
    The first `ActivityPartition` with the specified 'Name', or `null`.
  See Also:
    `getSubpartitions()`

### getSubpartition

    ActivityPartition getSubpartition(java.lang.String name,
                                      boolean ignoreCase,
                                      boolean createOnDemand)

  Retrieves the first `ActivityPartition` with the specified 'Name' from the 'Subpartition' containment reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityPartition` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `createOnDemand` - Whether to create a `ActivityPartition` on demand if not found.
  Returns:
    The first `ActivityPartition` with the specified 'Name', or `null`.
  See Also:
    `getSubpartitions()`

### getSuperPartition

    ActivityPartition getSuperPartition()

  Returns the value of the 'Super Partition' container reference. It is bidirectional and its opposite is '`Subpartition`'.

  This feature subsets the following features:

  - '`Super Group`'
  Partition immediately containing the partition.

  Returns:
    the value of the 'Super Partition' container reference.
  See Also:
    `setSuperPartition(ActivityPartition)`, `UMLPackage.getActivityPartition_SuperPartition()`, `getSubpartitions()`

### setSuperPartition

    void setSuperPartition(ActivityPartition value)

  Sets the value of the '`Super Partition`' container reference.

  Parameters:
    `value` - the new value of the 'Super Partition' container reference.
  See Also:
    `getSuperPartition()`

### getRepresents

    Element getRepresents()

  Returns the value of the 'Represents' reference. An element constraining behaviors invoked by nodes in the partition.

  Returns:
    the value of the 'Represents' reference.
  See Also:
    `setRepresents(Element)`, `UMLPackage.getActivityPartition_Represents()`

### setRepresents

    void setRepresents(Element value)

  Sets the value of the '`Represents`' reference.

  Parameters:
    `value` - the new value of the 'Represents' reference.
  See Also:
    `getRepresents()`

### validateDimensionNotContained

    boolean validateDimensionNotContained(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

  A partition with isDimension = true may not be contained by another partition. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateRepresentsPart

    boolean validateRepresentsPart(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map<java.lang.Object,java.lang.Object> context)

  If a partition represents a part, then all the non-external partitions in the same dimension and at the same level of nesting in that dimension must represent parts directly contained in the internal structure of the same classifier. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateRepresentsClassifier

    boolean validateRepresentsClassifier(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                         java.util.Map<java.lang.Object,java.lang.Object> context)

  If a non-external partition represents a classifier and is contained in another partition, then the containing partition must represent a classifier, and the classifier of the subpartition must be nested in the classifier represented by the containing partition, or be at the contained end of a strong composition association with the classifier represented by the containing partition. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateRepresentsPartAndIsContained

    boolean validateRepresentsPartAndIsContained(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  If a partition represents a part and is contained by another partition, then the part must be of a classifier represented by the containing partition, or of a classifier that is the type of a part representing the containing partition. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.